# TriangulateModifier(Modifier)

base classes — `bpy_struct`, `Modifier`

class `bpy.types.``TriangulateModifier`(Modifier)

  Triangulate Mesh

  `ngon_method`

    Method for splitting the polygons into triangles

    - `BEAUTY` Beauty, Arrange the new triangles evenly (slow).
    - `CLIP` Clip, Split the polygons with an ear clipping algorithm.

    Type: | enum in [‘BEAUTY’, ‘CLIP’], default ‘BEAUTY’

  `quad_method`

    Method for splitting the quads into triangles

    - `BEAUTY` Beauty , Split the quads in nice triangles, slower method.
    - `FIXED` Fixed, Split the quads on the first and third vertices.
    - `FIXED_ALTERNATE` Fixed Alternate, Split the quads on the 2nd and 4th vertices.
    - `SHORTEST_DIAGONAL` Shortest Diagonal, Split the quads based on the distance between the vertices.

    Type: | enum in [‘BEAUTY’, ‘FIXED’, ‘FIXED_ALTERNATE’, ‘SHORTEST_DIAGONAL’], default ‘BEAUTY’

Inherited Properties

`bpy_struct.id_data` `Modifier.name` `Modifier.type` `Modifier.show_viewport` `Modifier.show_render` | `Modifier.show_in_editmode` `Modifier.show_on_cage` `Modifier.show_expanded` `Modifier.use_apply_on_spline`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`